[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Bug#405140: marked as done (linux-2.6 - xen images does not support frequency scaling)



Your message dated Fri, 4 Jul 2008 22:33:36 +0200
with message-id <20080704203336.GB29028@stro.at>
and subject line Re: xen-linux-system-2.6.18-4-xen-686: Prevents ALSA from finding soundcards
has caused the Debian Bug report #405140,
regarding linux-2.6 - xen images does not support frequency scaling
to be marked as done.

This means that you claim that the problem has been dealt with.
If this is not the case it is now your responsibility to reopen the
Bug report if necessary, and/or fix the problem forthwith.

(NB: If you are a system administrator and have no idea what this
message is talking about, this may indicate a serious mail system
misconfiguration somewhere. Please contact owner@bugs.debian.org
immediately.)


-- 
405140: http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=405140
Debian Bug Tracking System
Contact owner@bugs.debian.org with problems
--- Begin Message ---
Package: linux-image-2.6.16-2-xen-amd64-k8
Version: 2.6.16-14
Severity: normal

Hi,

after switching to a xen-kernel the frequency scaling of my AMD Athlon64 
CPU stopped working. Instead my syslog is filled with following messages:

Jun 16 15:30:03 harry kernel: powernow-k8: fid trans failed, fid 0x2, curr 
0xc
Jun 16 15:30:03 harry kernel: powernow-k8: transition frequency failed
Jun 16 15:31:00 harry kernel: powernow-k8: fid trans failed, fid 0x2, curr 
0xc
Jun 16 15:31:00 harry kernel: powernow-k8: transition frequency failed

It seems that there is a patch[0] available and according to the 
posting[1] of another person having that problem it fixes the issue.

Have not tested the patch yet but I am willing to test prepared packages
when someone integrates the changes.

Regards,
Uwe

[0] http://article.gmane.org/gmane.comp.emulators.xen.devel/22282
[1] 
http://lists.xensource.com/archives/html/xen-users/2006-04/msg00260.html

-- System Information:
Debian Release: testing/unstable
  APT prefers testing
  APT policy: (990, 'testing'), (210, 'unstable'), (200, 'experimental')
Architecture: amd64 (x86_64)
Shell:  /bin/sh linked to /bin/bash
Kernel: Linux 2.6.16-2-xen-amd64-k8
Locale: LANG=de_DE.UTF-8, LC_CTYPE=de_DE.UTF-8 (charmap=UTF-8)

Versions of packages linux-image-2.6.16-2-xen-amd64-k8 depends on:
ii  e2fsprogs                     1.39-1     ext2 file system utilities 
and lib
ii  linux-modules-2.6.16-2-xen-am 2.6.16-14  Linux kernel modules 2.6.16 
image 
ii  module-init-tools             3.2.2-3    tools for managing Linux 
kernel mo

linux-image-2.6.16-2-xen-amd64-k8 recommends no packages.

-- no debconf information

Attachment: pgphogEZdbXB6.pgp
Description: PGP signature


--- End Message ---
--- Begin Message ---
Version: 2.6.25-1

upstream merged paravirt_ops Xen. it features enhanced netxen
and block modules.

as this code got rewritten old bug no longer apply.
for guest system it is recommend to upgrade to newer xen.
for more infos on upstream merge status see
http://wiki.xensource.com/xenwiki/XenParavirtOps

for latest 2.6.26-rc8 linux images see
http://wiki.debian.org/DebianKernel

thanks for your report.

-- 
maks


--- End Message ---

Reply to: